import hlt.language.tools.Misc;

class MathTest
{
  public static void main (String[] args)
  {
    test(1);
    test(12);
    test(123);
    test(1234);
    test(1234567890);

    show(1);
    show(12);
    show(123);
    show(1234);
    
  }    

  static void test (int n)
  {
    System.out.println("The number "+n+" has "+Misc.numWidth(n)+" digits");
  }

  static void show (int n)
  {
    System.out.println(Misc.numberString(n,6));
  }

}